Possibility to mark tracker as "Subtask only"

2018-08-31 19:58 - Kamil .

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

There are some types of trackers (like "Story Blocker" or "Subtask") which makes sense only when it is a subtask.

Please provide additional checkbox "Subtask only" while creating new tracker.

When checked, new item can be created only as a Subtask

Related issues:

Related to Redmine - Feature #27988: Option to configure which trackers can b... New

History

#1 - 2018-08-31 21:30 - Marius BĂLTEANU

- Is duplicate of Feature #27988: Option to configure which trackers can be set as subtasks for each tracker added

#2 - 2018-08-31 21:32 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Please see the related issue.

#3 - 2018-08-31 22:57 - Kamil .

My request is related to, but it is not the same as Feature #27988.

In my feature the idea is that some trackers must not be top-level trackers

#4 - 2018-09-01 12:50 - Marius BĂLTEANU

- Resolution changed from Duplicate to Invalid

Kamil . wrote:

My request is related to, but it is not the same as Feature #27988.

In my feature the idea is that some trackers must not be top-level trackers

 Kamil, I've closed this ticket as "Duplicate" because you can obtain the same behaviour as you requested in this issue using the patch from #27988.

Thinking now better, you can obtain this behaviour also with the current Redmine versions by making the "Parent task" field mandatory for all roles in

the Workflow page (I know that is not a checkbox, but the result is the same).  I'm changing the reason from "Duplicate" to "Invalid", please let me

know if you consider that something is missing and I'll reopen it.

#5 - 2018-09-01 12:51 - Marius BĂLTEANU

- Is duplicate of deleted (Feature #27988: Option to configure which trackers can be set as subtasks for each tracker)

#6 - 2018-09-01 12:51 - Marius BĂLTEANU

- Related to Feature #27988: Option to configure which trackers can be set as subtasks for each tracker added

#7 - 2018-09-01 13:01 - Kamil .

Marius, why to complicate is so much?

Do you consider your solution as good UX?

#8 - 2018-09-01 13:06 - Marius BĂLTEANU
Kamil . wrote:

Marius, why to complicate is so much?

Do you consider your solution as good UX?

 Do you refer at the solution with setting the parent task mandatory?

#9 - 2018-09-01 13:11 - Kamil .

Yes, specifically:

1) Knowing that you have to go to Workflow

2) Field Permissions

3) Select Role "ALL"

4) Select Tracker

5) Click Edit

6) Find "Parent task row"

7) Click and select value "Required" in each Issue status

8) Click save

#10 - 2018-09-01 15:00 - Kamil .

So my point is that your version is not user friendly and doesn't have user intention in mind.

I think that every tool should strive to have better UX, therefore I created this issue

#11 - 2018-09-01 15:20 - Marius BĂLTEANU

- Status changed from Closed to Reopened

- Resolution deleted (Invalid)

Is not my version, is the current implementation from Redmine which is more flexible than having only a checkbox in the Tracker page.

IMHO, current implementation, plus the feature from #27988 covers this feature request, but I'll reopen this ticket to get more feedback.

#12 - 2018-09-01 16:18 - Kamil .

Ok, thank you

#13 - 2019-06-29 16:43 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to Candidate for next major release

#14 - 2019-06-30 23:44 - Marius BĂLTEANU

- File 0001-Option-to-set-a-tracker-only-as-subtask.patch added

- File tracker_subtask.png added

- File workflow.png added

- File new_issue.png added

- Assignee deleted (Marius BĂLTEANU)

Attached a patch that adds the possibility to mark a tracker as "Subtask only":

 tracker_subtask.png 

In the workflow, if the user edits a a tracker or multiple trackers which are "Subtask only", the field is marked as mandatory and the option "Required"

is not available. If the user edits mixed trackers, the field behaves normally.

 workflow.png 

The field "Parent task" is mandatory when user tries to create an issue with tracker type "Subtask only":

 new_issue.png 

#15 - 2019-11-10 12:59 - Marius BĂLTEANU

- File deleted (0001-Option-to-set-a-tracker-only-as-subtask.patch)

#16 - 2019-11-10 13:37 - Marius BĂLTEANU

- File 0001-Option-to-set-a-tracker-only-as-subtask.patch added

- Assignee set to Jean-Philippe Lang
- Target version changed from Candidate for next major release to 4.2.0

I've updated the patch to apply cleanly on the current trunk and I'm assigning this to 4.2.0 in order to work on this as early as we can.

#17 - 2020-04-05 13:26 - Marius BĂLTEANU

- File deleted (0001-Option-to-set-a-tracker-only-as-subtask.patch)

#18 - 2020-04-05 13:27 - Marius BĂLTEANU

- File 0001-Option-to-set-a-tracker-only-as-subtask.patch added

Updated again to apply cleanly.

#19 - 2020-09-27 16:18 - ashraf alzyoud

Marius BALTEANU wrote:

Updated again to apply cleanly.

 its very important i have 30 tracker in same project

our users need who main tracker and sub

thx for u for this idea

this patch available in 4.1??

#20 - 2020-09-28 07:36 - Go MAEDA

- File Option-to-set-a-tracker-only-as-subtask-r20091.patch added

Updated the patch for the latest trunk (r20091).

#21 - 2020-09-28 10:12 - Go MAEDA

- File deleted (Option-to-set-a-tracker-only-as-subtask-r20091.patch)

#22 - 2020-09-28 10:12 - Go MAEDA

- File Option-to-set-a-tracker-only-as-subtask-r20091.patch added

#23 - 2020-09-28 23:51 - ashraf alzyoud

Is there a possibility to hide the subtask trackers when in added newIssue?? and its appear only when im added subtask??

#24 - 2021-03-18 20:12 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

#25 - 2021-03-18 20:13 - Marius BĂLTEANU

Moved this to 5.0.0 because the changes are quite big.

#26 - 2022-03-19 09:00 - Marius BĂLTEANU

- Target version changed from 5.0.0 to Candidate for next major release

#27 - 2022-10-31 11:02 - Alessandro Zucchi

Any update ?

tnx

Alessandro

#28 - 2023-10-30 17:32 - ashraf alzyoud

any update??

Files

tracker_subtask.png 52.6 KB 2019-06-30 Marius BĂLTEANU

workflow.png 238 KB 2019-06-30 Marius BĂLTEANU

new_issue.png 87.5 KB 2019-06-30 Marius BĂLTEANU

0001-Option-to-set-a-tracker-only-as-subtask.patch 20.1 KB 2020-04-05 Marius BĂLTEANU
Option-to-set-a-tracker-only-as-subtask-r20091.patch 17.9 KB 2020-09-28 Go MAEDA
